Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
TessResultCallback< R > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for TessResultCallback< R >:

List of all members.

## Public Member Functions

virtual | ~TessResultCallback ()
virtual R | Run ()=0

## Detailed Description

### template<class R>
class TessResultCallback< R >

Definition at line 36 of file tesscallback.h.

## Constructor & Destructor Documentation

template<class R >

virtual TessResultCallback< R >::~TessResultCallback | ( |  | ) |

inlinevirtual

Definition at line 38 of file tesscallback.h.

{ }

## Member Function Documentation

template<class R >

virtual R TessResultCallback< R >::Run | ( |  | ) |

pure virtual

Implemented in _TessFunctionResultCallback_0_0< del, R >, _TessMemberResultCallback_0_0< del, R, T >, and _ConstTessMemberResultCallback_0_0< del, R, T >.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h